/*****************************************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ****************************************************************************************/
// Pacakge
package gov.va.med.esr.ui.struts;

// Java Class
import javax.servlet.ServletException;

// Library classes
import org.apache.struts.action.ActionServlet;

// ESR classes
import gov.va.med.esr.ui.util.ApplicationInitializer;

/**
 * Extends from struts action servlet to initialize application
 * data in a servlet context.
 * 
 * @author Vu Le
 * @version 3.0
 */
public class ApplicationServlet extends ActionServlet {
   /**
    * An instance of serialVersionUID 
    */
   private static final long serialVersionUID = 1888757200448379945L;

   public ApplicationServlet() {
      super();
   }

   public void init() throws ServletException {
      super.init();
      ApplicationInitializer.initialize(getServletContext());
   }
}
